[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / src

Please note that diffs are not public domain; they are subject to the copyright notices on the relevant files.

Diff for /src/Makefile between version 1.262.2.3.4.1 and 1.277

version 1.262.2.3.4.1, 2009/12/14 06:40:41 version 1.277, 2010/06/10 22:41:41
Line 92 
Line 92 
 #   do-lib:          builds and installs prerequisites from lib.  #   do-lib:          builds and installs prerequisites from lib.
 #   do-gnu-lib:      builds and installs prerequisites from gnu/lib.  #   do-gnu-lib:      builds and installs prerequisites from gnu/lib.
 #   do-external-lib: builds and installs prerequisites from external/lib.  #   do-external-lib: builds and installs prerequisites from external/lib.
   #   do-sys-rump-dev-lib: builds and installs prerequisites from sys/rump/dev/lib
 #   do-sys-rump-fs-lib:  builds and installs prerequisites from sys/rump/fs/lib  #   do-sys-rump-fs-lib:  builds and installs prerequisites from sys/rump/fs/lib
   #   do-sys-rump-kern-lib:  builds and installs prereq. from sys/rump/kern/lib
 #   do-sys-rump-net-lib: builds and installs prerequisites from sys/rump/net/lib  #   do-sys-rump-net-lib: builds and installs prerequisites from sys/rump/net/lib
   #   do-sys-modules:  builds and installs kernel modules (used by rump binaries)
 #   do-ld.so:        builds and installs prerequisites from libexec/ld.*_so.  #   do-ld.so:        builds and installs prerequisites from libexec/ld.*_so.
 #   do-compat-lib-csu: builds and installs prerequisites from compat/lib/csu  #   do-compat-lib-csu: builds and installs prerequisites from compat/lib/csu
 #                    if ${MKCOMPAT} != "no".  #                    if ${MKCOMPAT} != "no".
Line 106 
Line 109 
 #   do-x11:          builds and installs X11 if ${MKX11} != "no"; either  #   do-x11:          builds and installs X11 if ${MKX11} != "no"; either
 #                    X11R7 from src/external/mit/xorg if ${X11FLAVOUR} == "Xorg"  #                    X11R7 from src/external/mit/xorg if ${X11FLAVOUR} == "Xorg"
 #                    or X11R6 from src/x11  #                    or X11R6 from src/x11
   #   do-extsrc:       builds and installs extsrc if ${MKEXTSRC} != "no".
 #   do-obsolete:     installs the obsolete sets (for the postinstall-* targets).  #   do-obsolete:     installs the obsolete sets (for the postinstall-* targets).
 #  #
   
Line 142  _SRC_TOP_OBJ_=
Line 146  _SRC_TOP_OBJ_=
 # _SUBDIR is used to set SUBDIR, after removing directories that have  # _SUBDIR is used to set SUBDIR, after removing directories that have
 # BUILD_${dir}=no, or that have no ${dir}/Makefile.  # BUILD_${dir}=no, or that have no ${dir}/Makefile.
 #  #
 _SUBDIR=        tools lib include gnu external bin games libexec sbin usr.bin  _SUBDIR=        tools lib include gnu external crypto/external bin games
   _SUBDIR+=       libexec sbin usr.bin
 _SUBDIR+=       usr.sbin share rescue sys etc tests compat .WAIT distrib regress  _SUBDIR+=       usr.sbin share rescue sys etc tests compat .WAIT distrib regress
   
 .for dir in ${_SUBDIR}  .for dir in ${_SUBDIR}
Line 218  BUILDTARGETS+= do-tools
Line 223  BUILDTARGETS+= do-tools
 .if ${MKOBJDIRS} != "no"  .if ${MKOBJDIRS} != "no"
 BUILDTARGETS+=  obj  BUILDTARGETS+=  obj
 .endif  .endif
   BUILDTARGETS+=  clean_METALOG
 .if !defined(NODISTRIBDIRS)  .if !defined(NODISTRIBDIRS)
 BUILDTARGETS+=  do-distrib-dirs  BUILDTARGETS+=  do-distrib-dirs
 .endif  .endif
Line 234  BUILDTARGET+= do-libpcc
Line 240  BUILDTARGET+= do-libpcc
 .endif  .endif
 BUILDTARGETS+=  do-lib-libc  BUILDTARGETS+=  do-lib-libc
 BUILDTARGETS+=  do-lib do-gnu-lib do-external-lib  BUILDTARGETS+=  do-lib do-gnu-lib do-external-lib
 BUILDTARGETS+=  do-sys-rump-fs-lib do-sys-rump-net-lib  .if (${MACHINE} != "evbppc") && ${MKKMOD} != "no"
   BUILDTARGETS+=  do-sys-modules
   .endif
   BUILDTARGETS+=  do-sys-rump-dev-lib do-sys-rump-fs-lib
   BUILDTARGETS+=  do-sys-rump-kern-lib do-sys-rump-net-lib
 .if ${MKCOMPAT} != "no"  .if ${MKCOMPAT} != "no"
 BUILDTARGETS+=  do-compat-lib-csu  BUILDTARGETS+=  do-compat-lib-csu
 BUILDTARGETS+=  do-compat-libgcc  BUILDTARGETS+=  do-compat-libgcc
Line 245  BUILDTARGETS+= do-build
Line 255  BUILDTARGETS+= do-build
 .if ${MKX11} != "no"  .if ${MKX11} != "no"
 BUILDTARGETS+=  do-x11  BUILDTARGETS+=  do-x11
 .endif  .endif
   .if ${MKEXTSRC} != "no"
   BUILDTARGETS+=  do-extsrc
   .endif
 BUILDTARGETS+=  do-obsolete  BUILDTARGETS+=  do-obsolete
   
 #  #
Line 377  check-tools: .PHONY
Line 390  check-tools: .PHONY
         @echo '*** WARNING: NBUILDJOBS is obsolete; use -j directly instead!'          @echo '*** WARNING: NBUILDJOBS is obsolete; use -j directly instead!'
 .endif  .endif
   
   # Delete or sanitise a leftover METALOG from a previous build.
   clean_METALOG: .PHONY .MAKE
   .if ${MKUPDATE} != "no"
           ${MAKEDIRTARGET} distrib/sets clean_METALOG
   .endif
   
 do-distrib-dirs: .PHONY .MAKE  do-distrib-dirs: .PHONY .MAKE
 .if !defined(DESTDIR) || ${DESTDIR} == ""  .if !defined(DESTDIR) || ${DESTDIR} == ""
         ${MAKEDIRTARGET} etc distrib-dirs DESTDIR=/          ${MAKEDIRTARGET} etc distrib-dirs DESTDIR=/
Line 397  BUILD_CC_LIB+= external/bsd/pcc/crtstuff
Line 416  BUILD_CC_LIB+= external/bsd/pcc/crtstuff
 BUILD_CC_LIB+= external/bsd/pcc/libpcc  BUILD_CC_LIB+= external/bsd/pcc/libpcc
 .endif  .endif
   
 .for dir in tools tools/compat lib/csu ${BUILD_CC_LIB} lib/libc lib/libdes lib gnu/lib external/lib sys/rump/fs/lib sys/rump/net/lib  .for dir in tools tools/compat lib/csu ${BUILD_CC_LIB} lib/libc lib/libdes lib gnu/lib external/lib crypto/external/lib sys/rump/dev/lib sys/rump/fs/lib sys/rump/kern/lib sys/rump/net/lib sys/modules
 do-${dir:S/\//-/g}: .PHONY .MAKE  do-${dir:S/\//-/g}: .PHONY .MAKE
 .for targ in dependall install  .for targ in dependall install
         ${MAKEDIRTARGET} ${dir} ${targ}          ${MAKEDIRTARGET} ${dir} ${targ}
Line 473  do-x11: .PHONY .MAKE
Line 492  do-x11: .PHONY .MAKE
         @false          @false
 .endif  .endif
   
   do-extsrc: .PHONY .MAKE
   .if ${MKEXTSRC} != "no"
           ${MAKEDIRTARGET} extsrc build
   .else
           @echo "MKEXTSRC is not enabled"
           @false
   .endif
   
 do-obsolete: .PHONY .MAKE  do-obsolete: .PHONY .MAKE
         ${MAKEDIRTARGET} etc install-obsolete-lists          ${MAKEDIRTARGET} etc install-obsolete-lists
   

Legend:
Removed from v.1.262.2.3.4.1  
changed lines
  Added in v.1.277

CVSweb <webmaster@jp.NetBSD.org>